> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# tags

> GenericMDOProvider reads MDO lists with default settings

## "tags" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'tags'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/tags
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("tags", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "tagsheadings"
* "tagsheadingswithallitem"
* "tagsheadingswithallitemwithnoselection"
* "tagsheadingswithnoselection"
* "tagswithallitem"
* "tagswithallitemwithnoselection"
* "tagswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.Tag](/en/api/reference/webapi/SuperOffice.WebApi.Data.Tag.md)
- [NSTag](/en/automation/crmscript/reference/CRMScript.NetServer.NSTag.md)
- [Tags table](/en/database/tables/tags.md)
- [Using tags in requests](/en/request/learn/tags.md)
- [Enum TagEntity](/en/automation/crmscript/reference/CRMScript.NetServer.TagEntity.md)
- [legal_html_tags table](/en/database/tables/legal-html-tags.md)
